# Copy Custom Image - CopyCustomImage

## Overview

Copy Custom Image






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `CopyCustomImage`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |No|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **SourceImageId** | string | Source Image Id, see DescribeImage |**Yes**|
| **TargetProjectId** | string | Target Project Id, see GetProjectList |**Yes**|
| **TargetRegion** | string | Target region, no need to fill in if not crossing regions |No|
| **TargetImageName** | string | Target Image Name |No|
| **TargetImageDescription** | string | Target Image Description |No|
| **TargetImageTag** | string | Target Image Business Group |No|
| **TargetRegionList.N** | string | Collection of target regions, fill in when batch copying |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **TargetImageId** | string | Target image Id, this field only exists when it's not a batch copy. |No|
| **TaskId** | string | The task Id for target image replication, this field only exists when it is not batch replication. |No|
| **Infos** | array[[*CopyImageTaskInfo*](#copyimagetaskinfo)] | Task information during batch copying, refer to the following CopyImageTaskInfo |No|

#### Data Model


#### CopyImageTaskInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **TaskId** | string | Task Id of target image replication |No|
| **TargetImageId** | string | Target Image Id |No|
| **TargetRegion** | string | Target Region |No|

## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=CopyCustomImage
&Region=cn-bj2
&SourceImageId=uimage-xxxx
&TargetProjectId=org-xxxx
&TargetRegionList.N=WJTsopBq
&TargetEmail=LonOoQBQ
&TgtChannelId=xAyRfoay
&TargetImageTag=kyKUeICs
```

### Response Example
    
```json
{
  "Action": "CopyCustomImageResponse",
  "Infos": [
    {
      "TargetImageId": "afctavgs",
      "TargetRegion": "cn-zj",
      "TaskId": "rAIFVKLK"
    }
  ],
  "RetCode": 0,
  "TargetImageId": "uimage-xxxx",
  "TaskId": "mtHpdcEX"
}
```





